Subject: Re: [PATCH 6/8] pxa: make lubbock to use smc91x platform data

From: Eric Miao <[email-masked]>
Date: Fri, 20 Jun 2008 09:23:07 +0800

Nicolas Pitre wrote:
> On Thu, 19 Jun 2008, Eric Miao wrote:
> 
>> Signed-off-by: Eric Miao <[email-masked]>
> 
> This (and 7/8 and 8/8) are a bit unfortunate.  Maybe not as visible on 
> Lubbock which has a SMC91C94 which can do 10mbps only, but the others 
> will have poorer performances because of those patches.  Did you compare 
> performances, let's say with netperf, before and after those patches are 
> applied?
> 
> I understand your goal of wanting to have a single kernel image that 
> dynamically can select the right bus access method for all the concerned 
> platforms.  But I think you'll see that the runtime overhead has a 
> significant impact on network throughput and CPU usage.
> 
> I think that some other solution should be explored such that when only 
> one machine type (or machine types with the same bus config) is 
> configured then the compile time optimizations should remain.  Something 
> based on the machine_is_lubbock(), machine_is_Mainstone(), and so on, 
> which becomes constants with the right kernel configuration.
> 

OK, I know your concern. Let's see if we can work this out in another way.

> Nicolas